org.eclipse.viatra.query.tooling.ui.queryexplorer.handlers

## Class PatternRegistryShowLocationHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.viatra.query.tooling.ui.queryexplorer.handlers.ShowLocationHandler
      - - org.eclipse.viatra.query.tooling.ui.queryexplorer.handlers.PatternRegistryShowLocationHandler

- All Implemented Interfaces:
    org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

      public class PatternRegistryShowLocationHandler
      extends ShowLocationHandler

  Show location handler for the pattern registry extension. Note that the default handler (used in the middle viewer) cannot be used as the selection providers for the QueryExplorer view should be set according to the focus. However, I could not manage to properly listen on focus change events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternRegistryShowLocationHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `execute(org.eclipse.core.commands.ExecutionEvent event)`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.handlers.ShowLocationHandler

      `setSelectionToXTextEditor`

    - ### Methods inherited from class org.eclipse.core.commands.AbstractHandler

      `addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternRegistryShowLocationHandler

          public PatternRegistryShowLocationHandler()

  - ### Method Detail

    - #### execute

          public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                                   throws org.eclipse.core.commands.ExecutionException

      Specified by:
        `execute` in interface `org.eclipse.core.commands.IHandler`
      Overrides:
        `execute` in class `ShowLocationHandler`
      Throws:
        `org.eclipse.core.commands.ExecutionException`